package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MetroStation;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MetroStationMapper")
public interface MetroStationMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MetroStation record);

    MetroStation selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MetroStation record);

    List<MetroStation> queryAllMetroStation(MetroStation record);

    List<MetroStation> queryMetroStationByPage(Map<String, Object> parameter);

    int delete(String id);

    MetroStation queryMetroStation(MetroStation record);

    List<MetroStation> query(MetroStation record);
}

